# Configuring Actions

Actions are custom commands that can be executed individually or in sequence by a Simple/Toggle/Custom button, schedule, macro, or trigger.

## The Action Editor

- Click Add Action to select an action from the dropdown list.

- Click Add Delay to add a pause between actions.
  Set the duration by adjusting the Delay property on the right.

- Duplicate or Delete the selected action(s)

| Hold down `Shift` or `Ctrl` and click to select multiple actions.

After configuring each action’s properties, click Ok to close the editor.

## Action Types

### Preset

Recall a preset scene for a selected Target or channel.

Property | Description
--- | ---
Target | The target area/tag/template for the command
Join | The target static join level for the command
Preset | The specific preset scene to recall
Fade | The fade time (default 00:00:02.000)
Channel | The channel, or All Channels (0), within the selected Target

### Channel Level

Fade one channel or all channels in an area to a set level.

Property | Description
--- | ---
Target | The target area/tag/template for the command
Join | The target static join level for the command
Fade | The fade time (default 00:00:02.000)
Channel | The target channel, or All Channels (0), within the selected Target
Level | The new channel level (0-100 %)

### Color RGB Channel Level

Fade one channel or all channels in an area to a set color and channel level.

Property | Description
--- | ---
Target | The target area/tag/template for the command
Join | The target static join level for the command
Fade | The fade time (default 00:00:02.000)
Channel | The target channel, or All Channels (0), within the selected Target
Set color only | If ticked, ignore Level
Level | The new channel level (0-100 %)
Color | Click to select the new RGB color

### Colour Temperature Channel Level

Fade one channel or all channels in an area to a set color temperature and channel level.

Tick the Set temperature only checkbox to leave the channel level unchanged.

Property | Description
--- | ---
Target | The target area/tag/template for the command
Join | The target static join level for the command
Fade | The fade time (default 00:00:02.000)
Channel | The target channel, or All Channels (0), within the selected Target
Temperature | The target color temperature (2500-4000 °K)
Level | The new channel level (0-100 %)

### Macro Control

Start or stop a macro.

Property | Description
--- | ---
Macro name | Select a macro from the dropdown list
Macro command | Start or Stop the selected macro

### Motion Control

Enable or disable motion-activated sensor events within an area.

Property | Description
--- | ---
Target | The target area/tag/template for the command
Join | The target static join level for the command
Enabled | Enable or Disable motion control within the selected Target

### Sensor Timeout Control

Change the wait time for sensors in a floor plan or area to trigger their 'No Motion' actions.

Property | Description
--- | ---
Plans | Select a target floor plan, or None to specify a Target area/tag/template instead.
Timeout | Select a timeout interval from the dropdown list, or Manual to enter a Manual interval.

### Light Control

Enable or disable light level-activated sensor events within an area.

Property | Description
--- | ---
Target | The target area/tag/template for the command
Join | The target static join level for the command
Enabled | Enable or Disable light level control within the selected Target

### Panel Control

Enable or disable user interfaces within an area.

Property | Description
--- | ---
Target | The target area/tag/template for the command
Join | The target static join level for the command
Enabled | Enable or Disable UIs within the selected Target

### Remote Task

Starts, pause, or stop a task on a device.

Property | Description
--- | ---
Device | Select the device from the dropdown list
Task Number | The identification number of the task on the device (1-255)
Command | Start, Pause, or Stop the selected task

### Auto Sensor Calibration

Calibrate all sensors in a floor plan or area to a predetermined light level.

Property | Description
--- | ---
Plans | Select a target floor plan, or None to specify a Target area/tag/template instead
Lux | The current light level in the target floor plan/area (0-3000)

### Area Cascading

Enable or disable area cascading within an area.

Property | Description
--- | ---
Target | The target area/tag/template for the command
Join | The target static join level for the command
Enabled | Enable or Disable area cascading within the selected Target

### Temperature Setpoint

Set the temperature setpoint for an area.

Property | Description
--- | ---
Target | The target area/tag/template for the command
Join | The target static join level for the command
Temperature (°C or °F) | The new setpoint for the selected Target

### Set Join Level

Set the static join level for an area.

Property | Description
--- | ---
Target | The target area/tag/template for the command
Join | The target static join level for the command
Level | The new static join level for affected devices

### Area Link

Link or unlink areas within a common Base Link Area.

Property | Description
--- | ---
Base Link Area | The target BLA for the command
Join | The target static join level for the command
Source Area | The primary area for the link
Direction | Single: Creates a unidirectional link from the Source Area to the Link to area selection(s). Only the Source Area UIs can control devices in both areas. Multi: Creates an additional link from the selected area(s) back to the Source Area. Devices in the linked area can control both areas as well.
Type | Link or Unlink the Source Area to/from the Link to areas selection(s)
Link to areas | Select which areas to link/unlink from the Source Area

| This action creates an individual link from the Source Area to each Link to area selection. If required, you can also link the selected areas to each other by adding additional Area Link actions. Unlinking multiple areas will require the same number of Area Link actions as the original linking procedure, with Type set to Unlink.

### Panic

Activate or reset the panic state in the selected Target.

Property | Description
--- | ---
Target | The target area/tag/template for the command
Join | The target static join level for the command
Fade | The fade time (default 00:00:02.000)
Activate Reset | Activate the Panic state or Reset the area to normal operation.

### Reset Preset

Recall the last preset that was set for an area.

Property | Description
--- | ---
Target | The target area/tag/template for the command
Join | The target static join level for the command
Fade | The fade time (default 00:00:02.000)

### Preset Offset

Instruct devices in an area to add an offset to preset commands from the network.

Property | Description
--- | ---
Target | The target area/tag/template for the command
Join | The target static join level for the command
Preset Offset | The number added to incoming preset commands while the offset is active (0-255)

### Schedule Control

Enable or disable a schedule.

Property | Description
--- | ---
Schedule | Select a schedule from the dropdown list
Enabled | Enable or Disable the selected Schedule

### Trigger Control

Enable or disable a trigger.

Property | Description
--- | ---
Trigger | Select a schedule from the dropdown list
Enabled | Enable or Disable the selected Trigger

### Emergency Test

Refer to Testing Emergency Lighting.v

### Run Report

Run selected reports and send notifications.

Property | Description
--- | ---
Favourite | Select a saved report from the dropdown list
Export as | Save the report as a *.pdf, *.xls, *.doc, or database file
Notification Profile | Select a profile from the dropdown list

### Polling

Request for devices to send data.

Property | Description
--- | ---
Polling Type | Area Temperature Channel Level Channel Runtime DALI Driver Load Current Lux Level Modbus Roll Call

### Perform Backup

Create a backup of the selected database.

Property | Description
--- | ---
Database Type | Job, Trending, or Alarms and Events

### Purge Data

Permanently remove data from the database.

| Only use this event if advised by a Philips Dynalite service technician.

Property | Description
--- | ---
Purge Type | Channel Levels Fixture Notional Power All Data All Notional Power Metered Values Channel Runtime Presets Lux Levels
Purge Older Than | 1 day to 8 weeks

### Update Public Holidays

Downloads the latest list of local public holidays from a URL.

Property | Description
--- | ---
Download URL | The address of the new public holiday list
Update Ethernet Gateways | Select to push the updated list to gateways on the network as well as System Manager

### Raise Alert

Generate a custom alert and send a notification to the configured recipient.

Property | Description
--- | ---
Severity | Alarm, Fault, or Event
State (Alarm/Fault only) | Acknowledged, Cleared, Created, Restored, Restore Acknowledged
Id | The ID of the alert, or 65535 for unspecified.
Message | Custom message text
Ignore duplicate alarms | Cancel the action if the alert ID already exists
Area | The target area for the alert
Join | The target static join level for the alert

### Dual Sign-in Required

If Enabled, System Manager requires a supervisor to enter their credentials to validate any user logons.

Dual sign-in requirements are usually enabled and disabled by a schedule, so it is required only at certain times.

The supervising user must be included in a User Role with the Supervisor Sign-in property enabled. This property is managed in System Manager Configuration > Manage Users > User Roles > Supervisor Sign-in

### Go to page

Open the selected Button Page in Console view.